"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValidityHelperText = exports.LocaleHelperText = void 0;

var _react = _interopRequireDefault(require("react"));

var _uiSchema = require("@ui-schema/ui-schema");

var _immutable = require("immutable");

var LocaleHelperText = function LocaleHelperText(_ref) {
  var text = _ref.text,
      schema = _ref.schema,
      context = _ref.context,
      className = _ref.className;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, /*#__PURE__*/_react["default"].createElement(_uiSchema.Trans, {
    text: text,
    context: context ? context.set('type', schema.get('type')).set('widget', schema.get('widget')) : undefined
  }));
};

exports.LocaleHelperText = LocaleHelperText;

var ValidityHelperText = function ValidityHelperText(_ref2) {
  var showValidity = _ref2.showValidity,
      errors = _ref2.errors,
      schema = _ref2.schema;
  return showValidity && errors.size ? errors.map(function (error, i) {
    return /*#__PURE__*/_react["default"].createElement(LocaleHelperText, {
      key: i,
      schema: schema,
      className: "invalid-feedback",
      text: 'error.' + (_immutable.List.isList(error) ? error.get(0) : error),
      context: _immutable.List.isList(error) ? error.get(1) : undefined
    });
  }).valueSeq() : null;
};

exports.ValidityHelperText = ValidityHelperText;