"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BoolRenderer = void 0;

var _react = _interopRequireDefault(require("react"));

var _tracing = require("scheduler/tracing");

var _uiSchema = require("@ui-schema/ui-schema");

var BoolRenderer = function BoolRenderer(_ref) {
  var ownKey = _ref.ownKey,
      showValidity = _ref.showValidity,
      required = _ref.required,
      errors = _ref.errors,
      value = _ref.value,
      storeKeys = _ref.storeKeys,
      _onChange = _ref.onChange,
      schema = _ref.schema;
  var classForm = ["custom-control", "custom-switch"];
  var classLabel = ["custom-control-label", "text-light"];
  var classFormControl = ["custom-control-input"];

  if (showValidity && errors.size) {
    classFormControl.push('is-invalid');
  }

  if (showValidity && !errors.size) {
    classForm.push('was-validated');
  }

  var currentChecked = !!value;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classForm.join(' ')
  }, /*#__PURE__*/_react["default"].createElement("input", {
    type: "checkbox",
    className: classFormControl.join(' '),
    id: ownKey,
    checked: currentChecked,
    required: required,
    onChange: function onChange() {
      return (0, _tracing.unstable_trace)("switch onchange", performance.now(), function () {
        _onChange((0, _uiSchema.updateValue)(storeKeys, !currentChecked, required, schema.get('type')));
      });
    }
  }), /*#__PURE__*/_react["default"].createElement("label", {
    className: classLabel.join(' '),
    htmlFor: ownKey
  }, /*#__PURE__*/_react["default"].createElement(_uiSchema.TransTitle, {
    schema: schema,
    storeKeys: storeKeys,
    ownKey: ownKey
  }), required ? ' *' : ''));
};

exports.BoolRenderer = BoolRenderer;