"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectMulti = exports.Select = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _react = _interopRequireDefault(require("react"));

var _uiSchema = require("@ui-schema/ui-schema");

var _immutable = require("immutable");

var _LocaleHelperText = require("../../Component/LocaleHelperText/LocaleHelperText");

var Select = function Select(_ref) {
  var schema = _ref.schema,
      storeKeys = _ref.storeKeys,
      showValidity = _ref.showValidity,
      errors = _ref.errors,
      ownKey = _ref.ownKey,
      value = _ref.value,
      _onChange = _ref.onChange,
      _ref$multiple = _ref.multiple,
      multiple = _ref$multiple === void 0 ? false : _ref$multiple,
      required = _ref.required;
  var enum_val = schema.get('enum');

  var _useEditor = (0, _uiSchema.useEditor)(),
      t = _useEditor.t;

  if (!enum_val) return null;
  if (!schema) return null;
  var classForm = ["selectpicker", "custom-select"];
  var classFormParent = ["form-group"];

  if (showValidity && errors.size) {
    classFormParent.push('is-invalid');
  }

  if (showValidity && !errors.size) {
    classFormParent.push('was-validated');
  }

  var currentValue = undefined;

  if (multiple) {
    currentValue = typeof value !== 'undefined' ? value : (0, _immutable.List)(schema.get('default')) || (0, _immutable.List)([]);
  } else {
    currentValue = typeof value !== 'undefined' ? value : schema.get('default') || '';
  }

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classFormParent.join(' ')
  }, /*#__PURE__*/_react["default"].createElement("label", null, /*#__PURE__*/_react["default"].createElement(_uiSchema.TransTitle, {
    schema: schema,
    storeKeys: storeKeys,
    ownKey: ownKey
  })), /*#__PURE__*/_react["default"].createElement("select", {
    value: multiple ? currentValue.toArray() : currentValue,
    className: classForm.join(' '),
    multiple: multiple,
    onChange: function onChange(e) {
      if (multiple) {
        _onChange((0, _uiSchema.updateValue)(storeKeys, (0, _immutable.List)((0, _toConsumableArray2["default"])(e.target.options).filter(function (o) {
          return o.selected;
        }).map(function (o) {
          return o.value;
        })), required, schema.get('type')));
      } else {
        _onChange((0, _uiSchema.updateValue)(storeKeys, e.target.value, required, schema.get('type')));
      }
    }
  }, enum_val ? enum_val.map(function (enum_name) {
    var s = enum_name + '';
    var Translated = t(s, (0, _immutable.Map)({
      relative: (0, _immutable.List)(['enum', s])
    }), schema.get('t'));
    return /*#__PURE__*/_react["default"].createElement("option", {
      key: enum_name,
      value: enum_name,
      defaultValue: multiple ? currentValue.toArray().includes(enum_name) : currentValue === enum_name
    }, typeof Translated === 'string' || typeof Translated === 'number' ? Translated : (0, _uiSchema.beautifyKey)(s));
  }).valueSeq() : null), /*#__PURE__*/_react["default"].createElement(_LocaleHelperText.ValidityHelperText, {
    errors: errors,
    showValidity: showValidity,
    schema: schema
  }));
};

exports.Select = Select;
var SelectMulti = (0, _uiSchema.extractValue)((0, _uiSchema.memo)(function (props) {
  return /*#__PURE__*/_react["default"].createElement(Select, (0, _extends2["default"])({}, props, {
    multiple: true
  }));
}));
exports.SelectMulti = SelectMulti;