import React from "react";
import { Trans, useEditor } from "@ui-schema/ui-schema";

const Icon = ({
  onClick,
  label,
  iconName,
  btnSize
}) => {
  const {
    t
  } = useEditor();
  React.useEffect(() => {
    window.$('[data-toggle="tooltip"]').tooltip();
  }, []);
  let btnScale = 1;

  switch (btnSize) {
    case "small":
      btnScale = 0.5;
      break;

    case "medium":
      btnScale = 1;
      break;

    case "big":
      btnScale = 2;
      break;
  }

  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: ["btn", "btn-transparent"].join(' '),
    style: {
      transform: "scale(" + btnScale + ", " + btnScale + ")"
    },
    "data-toggle": "tooltip",
    "data-placement": "right",
    title: t(label),
    onClick: onClick
  }, /*#__PURE__*/React.createElement(Trans, {
    text: iconName
  }));
};

const IconPlus = ({
  onClick,
  btnSize
}) => {
  return /*#__PURE__*/React.createElement(Icon, {
    label: "labels.add",
    iconName: "icons.Plus",
    onClick: onClick,
    btnSize: btnSize
  });
};

const IconMinus = ({
  onClick,
  btnSize
}) => {
  return /*#__PURE__*/React.createElement(Icon, {
    label: "labels.remove",
    iconName: "icons.Minus",
    onClick: onClick,
    btnSize: btnSize
  });
};

export { IconPlus, IconMinus };