"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.widgetsBase = void 0;

var _Grid = require("./Grid");

var _pluginStack = require("./pluginStack");

var _uiSchema = require("@ui-schema/ui-schema");

var widgetsBase = {
  ErrorFallback: 'todo',
  RootRenderer: _Grid.RootRenderer,
  // wraps the whole editor
  GroupRenderer: _Grid.GroupRenderer,
  // wraps any `object` that has no custom widget
  pluginStack: _pluginStack.pluginStack,
  // widget plugin system
  validators: _uiSchema.validators,
  // validator functions
  types: {
    /* define native JSON-schema type widgets */
  },
  custom: {
    /* define custom widgets */
  }
};
exports.widgetsBase = widgetsBase;